Bug 591556

Summary: Blur on Russian «б» and number '8' has some wart on its face.
Product: [Fedora] Fedora Reporter: Caius Chance <me>
Component: liberation-fontsAssignee: Pravin Satpute <psatpute>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 23CC: fonts-bugs, i18n-bugs, me, petersen, tagoh, zayzayats
Target Milestone: ---Keywords: i18n, Reopened
Target Release: ---Flags: psatpute: needinfo? (zayzayats)
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 20:33:18 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
describing problem of hinting for 8 digit none

Description Caius Chance 2010-05-12 10:42:15 EDT
Description of problem:

(Quoted from zayzayats@yandex.ru)

In the Russian «б», the ascender is blurry.

http://shnurapet.fedorapeople.org/rus-b.png

freetype-freeworld-debuginfo-2.3.11-1.fc12.x86_64
freetype-2.3.11-3.fc12.x86_64
freetype-freeworld-2.3.11-1.fc12.x86_64
freetype-devel-2.3.11-3.fc12.x86_64
freetype-debuginfo-2.3.11-3.fc12.x86_64

$ ls /etc/yum.repos.d/
fedora-rawhide.repo          rpmfusion-free.repo
fedora.repo                  rpmfusion-free-updates.repo
fedora-updates.repo          rpmfusion-free-updates-testing.repo
fedora-updates-testing.repo  rpmfusion-nonfree-rawhide.repo
infinality.repo              rpmfusion-nonfree.repo
remi.repo                    rpmfusion-nonfree-updates.repo
rpmfusion-free-rawhide.repo  rpmfusion-nonfree-updates-testing.repo

$ cat /etc/yum.repos.d/infinality.repo 
[infinality]
name=Infinality
baseurl=http://www.infinality.net/fedora/linux/$releasever/$basearch/
enabled=1
gpgcheck=0

[infinality-noarch]
name=Infinality - noarch
baseurl=http://www.infinality.net/fedora/linux/$releasever/noarch/
enabled=1
gpgcheck=0

$ cat ~/.fonts.conf 
<?xml version='1.0'?>
<!DOCTYPE fontconfig SYSTEM 'fonts.dtd'>
<fontconfig>
    <match target="font" >
        <edit mode="assign" name="rgba" >
            <const>rgb</const>
        </edit>
        <edit mode="assign" name="hinting" >
            <bool>true</bool>
        </edit>
        <edit mode="assign" name="autohint" >
            <bool>true</bool>
        </edit>
        <edit mode="assign" name="antialias" >
            <bool>true</bool>
        </edit>
        <edit mode="assign" name="hintstyle" >
            <const>hintfull</const>
        </edit>
        <edit name="lcdfilter" mode="assign">
            <const>lcddefault</const>
        </edit>
    </match>
</fontconfig>

Size 8. I set 98 dpi for proper kerning.

http://shnurapet.fedorapeople.org/last-line.png
(It's in the center of the last line.)
Comment 1 Misha Shnurapet 2010-05-12 11:01:40 EDT
Thanks, Caius.
Comment 2 Fedora Admin XMLRPC Client 2010-07-14 20:22:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Pravin Satpute 2010-07-15 01:46:31 EDT
Caius, 
is this fixed?

do let me know so i can do the remaining work
Comment 4 Caius Chance 2010-07-15 02:15:27 EDT
This one was never touched as I have never had time on this. I have just triaged and confirmed reproducible only.
Comment 5 Misha Shnurapet 2010-07-15 06:48:20 EDT
liberation-sans-fonts-1.05.1.20090721-2.fc12.noarch
liberation-mono-fonts-1.05.1.20090721-2.fc12.noarch
liberation-fonts-common-1.05.1.20090721-2.fc12.noarch
liberation-serif-fonts-1.05.1.20090721-2.fc12.noarch
Comment 6 Pravin Satpute 2010-07-15 07:19:18 EDT
The number «8» glyph has some kind of a wart on its face.
Comment 7 Pravin Satpute 2010-07-15 07:21:37 EDT
*** Bug 614819 has been marked as a duplicate of this bug. ***
Comment 8 Pravin Satpute 2010-07-15 07:22:43 EDT
Created attachment 432043 [details]
describing problem of hinting for 8 digit
Comment 9 Bug Zapper 2010-07-30 07:36:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Pravin Satpute 2010-10-13 02:47:43 EDT
can we get steps to reproduce this bug?
Comment 11 Misha Shnurapet 2010-10-13 03:11:54 EDT
These are contained in the bug report, but to make it clear:

1. Install the font rendering libraries with the patented technologies enabled (using the repository from infinality.net, config provided)
2. Use the .fonts.conf provided;
2. Install Liberation fonts and set them as the system default typeface, set its size 8 points.
Comment 12 Pravin Satpute 2010-10-13 03:22:36 EDT
thanks, i will test and see if anything improved on f14
Comment 13 Akira TAGOH 2011-12-05 06:15:39 EST
Pravin, any updates on this?
Comment 14 Pravin Satpute 2011-12-07 05:38:47 EST
not yet. next month i will go through this bug.
Comment 15 Pravin Satpute 2011-12-19 11:15:49 EST
Hi Misha and Caius

  while digging on it, i found that when we enable auto-hinting at 8pt size this problem is happening.

  
 $ftstring  -r 96 -m 6б8 ppem 200 /usr/share/fonts/liberation/LiberationSans-Regular.ttf

 press up arrow and make point size 8pt, press f for autohint on-off, observ behaviour

 ftstring is part of freetype-demos package

  from Fedora 15 onwards we are using bytecode interpreter hinting, so i think problem should not occur now.

  can you check this once?
Comment 16 Pravin Satpute 2012-10-05 01:49:41 EDT
can you test this with the latest version of liberation fonts 2.00.1?

to me again this happens only when we enable auto-hinting but we are not using it for liberation font in Fedora
Comment 17 Pravin Satpute 2012-10-09 04:54:11 EDT
ping
Comment 18 Fedora End Of Life 2013-01-16 21:03:08 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Pravin Satpute 2013-01-21 01:49:39 EST
hmm, since we switched backed to liberation 1.0 this again need some work.
Comment 20 Fedora End Of Life 2013-12-21 09:53:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2015-05-29 04:37:10 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2015-06-29 20:33:18 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.